#include "../desktop.h"

#ifndef DESKTOPPIXMAP_H
#define DESKTOPPIXMAP_H

class KPagerDesktopPixmap : public KPagerDesktop
{
  Q_OBJECT

    struct WindowDataPixmap : KPagerDesktop::WindowData
    {
      class QPixmap *thumbnail;
    };
protected:
    virtual WindowData *winData(WId id, WindowData *w);
    virtual QPixmap *paintWindow(const WindowData *wd, QPoint *pos);
    
public:
    KPagerDesktopPixmap(int desk, class KWinModule *kwinmod, QWidget *parent=0);

};

#endif
